sudo: false
language: python

# tell travis to cache ~/.cache/pip
cache: pip

before_script:
  - git remote set-branches --add origin develop
  - git fetch origin develop

matrix:
  fast_finish: true
  include:
  - python: 2.7
    env: TOX_ENV=packaging

  - python: 2.7
    env: TOX_ENV=pep8

  - python: 2.7
    env: TOX_ENV=py27

  - python: 2.7
    env: TOX_ENV=py27-old

  - python: 2.7
    env: TOX_ENV=py27-postgres TRIAL_FLAGS="-j 4"
    services:
      - postgresql

  - python: 3.5
    env: TOX_ENV=py35

  - python: 3.6
    env: TOX_ENV=py36

  - python: 3.6
    env: TOX_ENV=py36-postgres TRIAL_FLAGS="-j 4"
    services:
      - postgresql

  - python: 3.6
    env: TOX_ENV=check_isort

  - python: 3.6
    env: TOX_ENV=check-newsfragment

install:
  - pip install tox

script:
  - tox -e $TOX_ENV
